DAT programName         byte "HeaderMecanumQs_130225ax", 0
robotName               byte "QuickStart Mecanum", 0
  
CON
{{
  ******* Public Notes *******
  
}}
{
  ******* Private Notes *******

  HeaderVexTreads130130a modified DemoFourMotorsAndEncoders130130a
  130130a Move individual robot constants to a header file
  to make it easy to use the same code with multiple robots.
  25a Add constants used in HeaderRover5_130225a
  25ax Set pins to two of the motors to -1 to see if motor
  driver will work with just two motors.
  
} 
  
  MAXSPEED = 1000
    
  WHEEL_RED_0 = 17 
  WHEEL_BLACK_0 = 18 
  WHEEL_RED_1 = 21 '20 
  WHEEL_BLACK_1 = 20 '21 
  WHEEL_RED_2 = -1 '23 
  WHEEL_BLACK_2 = -1 '24 
  WHEEL_RED_3 = -1 '27 '26
  WHEEL_BLACK_3 = -1 '26 '27
  FIRST_ENCODER_0 = 0
  FIRST_ENCODER_1 = 2
  FIRST_ENCODER_2 = -1 '4
  FIRST_ENCODER_3 = -1 '6
  WHEEL_ENABLE_0 = 16 
  WHEEL_ENABLE_1 = 19  
  WHEEL_ENABLE_2 = -1 '22 
  WHEEL_ENABLE_3 = -1 '25
  RADIO_PIN = 10
  FORWARD0 = 1
  FORWARD1 = 1
  FORWARD2 = 1
  FORWARD3 = 1
  FULL_SPEED = 69 
  PSEUDOREAL_MULTIPLIER = 100
  PSEUDO_FULL_SPEED = FULL_SPEED * PSEUDOREAL_MULTIPLIER
  DEFAULT_ACCELERATION = 30
  PSEUDO_ACCELERATION = DEFAULT_ACCELERATION * PSEUDOREAL_MULTIPLIER
  REFRESH_RATE = 50
  PID_INCREASE = 10
  PID_MULTIPLIER = PSEUDOREAL_MULTIPLIER * PID_INCREASE
  PSEUDO_DT = 75
  PROPORTIONAL_CONSTANT = 10 '30 '50 '40 '30 '24 '5
  INTEGRAL_CONSTANT = 0 '1
  DERIVATIVE_CONSTANT = 0
  STEPS_PER_FIGURE_8 = 900 '720 '1080 '640 
  INPUT_SIGNIFICANT = 20
  ' wheelMode enumeration
  #0, INDEPENDENT_WHEELS, TREADED_WHEELS, MECANUM_WHEELS

  WHEEL_MODE = MECANUM_WHEELS

  DEFAULT_SPEED = 600 '700 '4 wheel drive speed = 450 '
  DEFAULT_TURN_RATE = DEFAULT_SPEED / 2 '4
  DEFAULT_COURSE = 90

   
  ' inputType enumeration
  #0, PC_ONLY_INPUT, WII_NUNCHUCK_INPUT, RC_INPUT, WII_AND_RC_INPUT, AUTO_DETECT_INPUT

  'INPUT_TYPE = PC_ONLY_INPUT       '' Use this when first setting up robot
  'INPUT_TYPE = WII_NUNCHUCK_INPUT  '' Not yet supported.
  INPUT_TYPE = RC_INPUT
  'INPUT_TYPE = WII_AND_RC_INPUT    '' Not yet supported.
  'INPUT_TYPE = AUTO_DETECT_INPUT
  
       
PUB GetFileName

  result := @programName

PUB GetRobotName

  result := @robotName

PUB GetControllerPins

  result := @controllerPin
  
DAT

controllerPin byte RADIO_PIN, RADIO_PIN + 1, RADIO_PIN + 2, RADIO_PIN + 3
              byte RADIO_PIN + 4, RADIO_PIN + 5
              
DAT '' License
{{
*********************************************************************************************
*                             TERMS OF USE: MIT License                                     *                                                                   
*********************************************************************************************
* Permission is hereby granted, free of charge, to any person obtaining a copy of this      *
* software and associated documentation files (the "Software"), to deal in the Software     *
* without restriction, including without limitation the rights to use, copy, modify,        *
* merge, publish, distribute, sublicense, and/or sell copies of the Software, and to        *
* permit persons to whom the Software is furnished to do so, subject to the following       *
* conditions:                                                                               *
*                                                                                           *                                    
* The above copyright notice and this permission notice shall be included in all copies or  *
* substantial portions of the Software.                                                     *
*                                                                                           *                                   
* The software is provided "as is", without warranty of any kind, express or implied,       *
* including but not limited to the warranties of merchantability, fitness for a particular  *
* and noninfringment. In no event shall the authors or copyright holders be liable for any  *
* claim, damages or other liability, whether in an action of contract, tort or otherwise,   *
* arising from, of or in connection with the software of the use of other dealings in the   *
* software.                                                                                 *
*********************************************************************************************
}}            